Bug 1096295 - [fix available] Highlighting the currently selected slide vs the currently viewed slide is hard in impress
Summary: [fix available] Highlighting the currently selected slide vs the currently vi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libreoffice
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Caolan McNamara
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 1119709
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-09 15:21 UTC by Jim Tyrrell
Modified: 2015-03-05 08:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 08:50:11 UTC


Attachments (Terms of Use)
Screen shot of example of challenged highlighting (50.37 KB, image/png)
2014-05-09 15:22 UTC, Jim Tyrrell
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0377 normal SHIPPED_LIVE Moderate: libreoffice security, bug fix, and enhancement update 2015-03-05 13:48:57 UTC

Description Jim Tyrrell 2014-05-09 15:21:37 UTC
Having two slightly blue colors for the mouse over slide and the currently selected slide is hard to navigate.  It would be best if like in most other presentation tools that the mouse just hovers over a item w/o highlighting it.  See the attached screen shot for an example of something that is hard to navigate.

Comment 1 Jim Tyrrell 2014-05-09 15:22:27 UTC
Created attachment 894071 [details]
Screen shot of example of challenged highlighting

Comment 3 Caolan McNamara 2014-05-12 11:23:24 UTC
keynote 09 doesn't have a hover highlight, but powerpoint 2010 does. So competition-wise it looks tied as to whether to keep it or lose it.

Comment 4 Caolan McNamara 2014-05-12 14:04:37 UTC
I decided to keep the mouse-over highlight, but dial it down to "subtle" so that the difference from selected to mouse-over and unselected is very big while the difference from selected to mouse-over and selected is also subtle. And I throw in a gradient for good measure.

implemented as http://cgit.freedesktop.org/libreoffice/core/commit/?id=fd4b20efbb734f5a82c636ded2ec65dcb46c5129

here's what it will look like

https://wiki.documentfoundation.org/ReleaseNotes/4.3#Slide_Pane_selected.2Funselected_slides_with_mouse_over

Comment 8 errata-xmlrpc 2015-03-05 08:50:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0377.html


Note You need to log in before you can comment on or make changes to this bug.